<section [ngClass]="className().header">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.mb(45)]">
      <app-breadcrumb [breadcrumb]="breadcrumb()" />
    </div>

    <div [ngClass]="[jds.d('flex'), jds.justifyContent('between'), jds.mb(16)]">
      <h5>{{ label() }}</h5>

      @if (
        catalog() === 'dataset' &&
        (satudataUser.role_name === 'opd' ||
          satudataUser.role_name === 'opd-view')
      ) {
        <button
          [colorScheme]="colorScheme"
          (click)="onRequestDataset()"
          jdsBiButton
        >
          Permohonan Dataset
        </button>
      }
    </div>

    <div [ngClass]="jds.w('2/3')">
      <p>{{ description() }}</p>
    </div>
  </div>
</section>
